Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdom.input
Class BuilderErrorHandler

    java.lang.Object
      |
      +--org.jdom.input.BuilderErrorHandler

public class BuilderErrorHandler
extends Object
implements ErrorHandler

Constructor Summary
`BuilderErrorHandler()`

Method Summary
`void` | `error(SAXParseException exception)` This method is called in response to an error that has occurred; this indicates that a rule was broken, typically in validation, but that parsing could reasonably continue.
`void` | `fatalError(SAXParseException exception)` This method is called in response to a fatal error; this indicates that a rule has been broken that makes continued parsing either impossible or an almost certain waste of time.
`void` | `warning(SAXParseException exception)` This method is called when a warning has occurred; this indicates that while no XML rules were broken, something appears to be incorrect or missing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuilderErrorHandler

    public BuilderErrorHandler()

Method Detail

### warning

    public void warning(SAXParseException exception)
                 throws SAXException

  This method is called when a warning has occurred; this indicates that while no XML rules were broken, something appears to be incorrect or missing. The implementation of this method here is a "no op".

  Specified by:
    warning in interface ErrorHandler
  Parameters:
    `exception` - `SAXParseException` that occurred.
  Throws:
    SAXException - when things go wrong

### error

    public void error(SAXParseException exception)
               throws SAXException

  This method is called in response to an error that has occurred; this indicates that a rule was broken, typically in validation, but that parsing could reasonably continue. The implementation of this method here is to rethrow the exception.

  Specified by:
    error in interface ErrorHandler
  Parameters:
    `exception` - `SAXParseException` that occurred.
  Throws:
    SAXException - when things go wrong

### fatalError

    public void fatalError(SAXParseException exception)
                    throws SAXException

  This method is called in response to a fatal error; this indicates that a rule has been broken that makes continued parsing either impossible or an almost certain waste of time. The implementation of this method here is to rethrow the exception.

  Specified by:
    fatalError in interface ErrorHandler
  Parameters:
    `exception` - `SAXParseException` that occurred.
  Throws:
    SAXException - when things go wrong

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Jason Hunter, Brett McLaughlin. All Rights Reserved.